#!/bin/bash

if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit
fi

doasuser () {
    su clc -c "$1"
}

echo "Cleaning up default Gnome Install."
#clean up gnome things
apt purge -y gnome-games xterm
apt autoremove -y

echo "Installing base applications."
apt install -y curl vlc
snap install zoom-client

#install google chrome
wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
apt install -y ./google-chrome-stable_current_amd64.deb

echo "Installing extensions."
wget https://raw.githubusercontent.com/brunelli/gnome-shell-extension-installer/master/gnome-shell-extension-installer
chmod +x gnome-shell-extension-installer
doasuser './gnome-shell-extension-installer 307' #dash-to-dock

echo "Configuring desktop."
#set shell theme and dock
doasuser 'gsettings set org.gnome.desktop.interface gtk-theme "Adwaita-dark"'
doasuser 'gsettings --schemadir ~/.local/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com/schemas/ set org.gnome.shell.extensions.dash-to-dock dock-position BOTTOM'
doasuser 'gsettings --schemadir ~/.local/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com/schemas/ set org.gnome.shell.extensions.dash-to-dock preferred-monitor 0'

#configure favorites
doasuser 'gsettings set org.gnome.shell favorite-apps '"'"'["firefox-esr.desktop", "google-chrome.desktop", "org.gnome.Nautilus.desktop", "vlc.desktop", "zoom-client_zoom-client.desktop", "libreoffice-impress.desktop"]'"'"''

#add min and max buttons to title bars
doasuser 'gsettings set org.gnome.desktop.wm.preferences button-layout "appbar:minimize,maximize,close"'

echo "Cleaning up."
rm google-chrome-stable_current_amd64.deb gnome-shell-extension-installer

echo "Running update."
apt update 
apt upgrade -y

echo "Rebooting..."
systemctl reboot